Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions
Class BusinessRulesProcessor

    java.lang.Object
      org.jboss.soa.esb.actions.AbstractActionLifecycle
          org.jboss.soa.esb.actions.AbstractActionPipelineProcessor
              org.jboss.soa.esb.actions.ContentBasedWiretap
                  org.jboss.soa.esb.actions.ContentBasedRouter
                      org.jboss.soa.esb.actions.BusinessRulesProcessor

All Implemented Interfaces:
  ActionLifecycle, ActionPipelineProcessor

    public class BusinessRulesProcessor

extends ContentBasedRouter

BusinessRulesProcessor extends `ContentBasedRouter` but does not perform any routing, it only executes the business rules.

Configuration Example:

###

###

     As this class extends {@link ContentBasedRouter} please see its javadoc for
     configuration descriptions that are common to both classes.

     Property description:

       class  action class, org.jboss.soa.esb.actions.BusinessRulesProcessor
       stateful  Optional property which tells the RuleService to use a stateful session where facts will be remembered between invokations.

    Author:
      John Doe, Daniel Bevenius

    Field Summary

    Fields inherited from class org.jboss.soa.esb.actions.ContentBasedRouter

    _logger

    Fields inherited from class org.jboss.soa.esb.actions.ContentBasedWiretap

    _cbr, _cbrClass, _config, _destinations, _mapper, _messagePathList, _registry, _ruleLanguage, _ruleReload, _ruleSet, DEFAULT_CBR_CLASS, messageMulticaster, OBJECT_PATH, OBJECT_PATH_TAG, ROUTE_TO_TAG

    Fields inherited from interface org.jboss.soa.esb.actions.ActionPipelineProcessor

    PROCESS_EXCEPTION_METHOD, PROCESS_METHOD, PROCESS_SUCCESS_METHOD

    Constructor Summary

    BusinessRulesProcessor(ConfigTree config)

    Method Summary

     Message
    process(Message message)

              Inspect the content of the message using a rule set

    Methods inherited from class org.jboss.soa.esb.actions.ContentBasedRouter

    split

    Methods inherited from class org.jboss.soa.esb.actions.ContentBasedWiretap

    checkMyParms, executeRules, initialise, routeMessage

    Methods inherited from class org.jboss.soa.esb.actions.AbstractActionPipelineProcessor

    processException, processSuccess

    Methods inherited from class org.jboss.soa.esb.actions.AbstractActionLifecycle

    destroy

    Methods inherited from class java.lang.Object

    clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

    Methods inherited from interface org.jboss.soa.esb.actions.ActionLifecycle

    destroy

    Constructor Detail

    BusinessRulesProcessor

    public BusinessRulesProcessor(ConfigTree config)
                           throws ConfigurationException,
                                  RegistryException,
                                  MessageRouterException

    Throws:
    ConfigurationException
    RegistryException
    MessageRouterException

    Method Detail

    process

    public Message process(Message message)
                    throws ActionProcessingException

    Inspect the content of the message using a rule set

    Specified by:process in interface ActionPipelineProcessorOverrides:process in class ContentBasedRouter

    Parameters:message -
    Returns:Message
    Throws:
    ActionProcessingException

          Overview
          Package
        Class
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD